Package twisted :: Package manhole :: Module explorer :: Class _WatchMonkey

[frames | no frames]

## Class _WatchMonkey

I hang on a method and tell you what I see.

TODO: Aya! Now I just do browseObject all the time, but I could tell you what got called with what when and returning what.

Method Summary
| ``__init__`(self, instance)` Make a monkey to hang on this instance object.
| ``__call__`(self, instance, *a, **kw)` Pretend to be the method I replaced, and ring the bell.
| ``install`(self, methodIdentifier)` Install myself on my instance in place of this method.
| ``uninstall`(self)` Remove myself from this instance and restore the original method.

Class Variable Summary
`NoneType` | `oldMethod` = None

Method Details

### __init__(self, instance)
(Constructor)

Make a monkey to hang on this instance object.

### __call__(self, instance, *a, **kw)
(Call operator)

Pretend to be the method I replaced, and ring the bell.

### install(self, methodIdentifier)

Install myself on my instance in place of this method.

### uninstall(self)

Remove myself from this instance and restore the original method.

(I hope.)

Class Variable Details

### oldMethod

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:53 2004 | http://epydoc.sf.net